| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | Private Attributes

# IG::Gr::GraphicPrimitive Class Reference

Abstract base class for all graphic primitives such as lines, facets, etc. More...

Inheritance diagram for IG::Gr::GraphicPrimitive:
[legend]
Collaboration diagram for IG::Gr::GraphicPrimitive:
[legend]

List of all members.

## Properties
virtual GraphicObject | Parent`[get, set]`
| Returns the graphic object that directly contains this primitive.
abstract int | NumCoordinates`[get]`
| Get or set the co-ordinate No. i of this graphic primitive.
abstract vec3 | this [int i]`[get, set]`
| Returns the co-ordinate No. i of the graphic primitive.
virtual vec3 | Center`[get]`
| Reyurns the center of mass of all co-ordinates of this primitive.
virtual GrPrimitiveSettings | Settings`[get, set]`
| Gets the primitive's internal graphic properties (such as color, etc.)
virtual GrPrimitiveSettings | EffectiveSettings`[get]`
## Private Attributes
GraphicObject | _parent = null
GrPrimitiveSettings | _settings = null

## Detailed Description

Abstract base class for all graphic primitives such as lines, facets, etc.

## Member Data Documentation

GraphicObject IG::Gr::GraphicPrimitive::_parent = null`[private]`

GrPrimitiveSettings IG::Gr::GraphicPrimitive::_settings = null`[private]`

## Property Documentation

virtual GraphicObject IG::Gr::GraphicPrimitive::Parent`[get, set]`

Returns the graphic object that directly contains this primitive.

abstract int IG::Gr::GraphicPrimitive::NumCoordinates`[get]`

Get or set the co-ordinate No. i of this graphic primitive.

Reimplemented in IG::Gr::GraphicPrimitiveSimple, and IG::Gr::StructuredSurfaceGridPrimitive.

abstract vec3 IG::Gr::GraphicPrimitive::this[int i]`[get, set]`

Returns the co-ordinate No. i of the graphic primitive.

Reimplemented in IG::Gr::GraphicPrimitiveSimple, and IG::Gr::StructuredSurfaceGridPrimitive.

virtual vec3 IG::Gr::GraphicPrimitive::Center`[get]`

Reyurns the center of mass of all co-ordinates of this primitive.

virtual GrPrimitiveSettings IG::Gr::GraphicPrimitive::Settings`[get, set]`

Gets the primitive's internal graphic properties (such as color, etc.)

virtual GrPrimitiveSettings IG::Gr::GraphicPrimitive::EffectiveSettings`[get]`

The documentation for this class was generated from the following file:

- GrObjects.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events